Bug 180198 - [MAINTAINER] Update devel/gps to version 5.2.1
Summary: [MAINTAINER] Update devel/gps to version 5.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 14:20 UTC by John Marino
Modified: 2013-07-02 15:20 UTC (History)
0 users

See Also:


Attachments
file.txt (63.78 KB, text/plain)
2013-07-02 14:20 UTC, John Marino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-07-02 14:20:02 UTC
Update GNAT Programming Studio from version 5.0.1 to version 5.2.1

The following PR must be committed at the same time:
ports/180172 (GtkAda)

Fix: Patch attached with submission follows:
Comment 1 John Marino 2013-07-02 14:33:31 UTC
GPS has passed Redports x4 without any errors:
https://redports.org/buildarchive/20130702115800-44601/
Comment 2 William Grzybowski freebsd_committer 2013-07-02 14:44:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-07-02 15:11:02 UTC
Author: wg
Date: Tue Jul  2 14:10:45 2013
New Revision: 322171
URL: http://svnweb.freebsd.org/changeset/ports/322171

Log:
  devel/gps: update to 5.2.1
  
  - Update to 5.2.1
  - Remove ABI version for LIB_DEPENDS
  - Add READLINE option
  - Auto generate pkg-plist
  
  PR:		ports/180198
  Submitted by:	John Marino <draco@marino.st> (maintainer)

Added:
  head/devel/gps/files/patch-common_tty_terminals.c   (contents, props changed)
  head/devel/gps/files/patch-docs_Makefile.in   (contents, props changed)
  head/devel/gps/files/patch-gnatlib_src_gnatcoll__readline.gpr.in   (contents, props changed)
Deleted:
  head/devel/gps/files/patch-ada__module_core_src_ada__semantic__tree-generics.adb
  head/devel/gps/files/patch-common-tty-terminals.c
  head/devel/gps/files/patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.adb
  head/devel/gps/files/patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.ads
  head/devel/gps/files/patch-prj_editor_src_gpr__creation.adb
  head/devel/gps/files/patch-refactoring_core_src_refactoring-services.adb
  head/devel/gps/files/patch-shared.gpr
  head/devel/gps/files/patch-toolchains_editor_core_src_toolchains-parsers.ads
  head/devel/gps/pkg-plist
Modified:
  head/devel/gps/Makefile
  head/devel/gps/distinfo
  head/devel/gps/files/patch-Makefile.in
  head/devel/gps/files/patch-gnatlib_aclocal.m4
  head/devel/gps/files/patch-gnatlib_configure
  head/devel/gps/pkg-descr

Modified: head/devel/gps/Makefile
==============================================================================
--- head/devel/gps/Makefile	Tue Jul  2 14:06:12 2013	(r322170)
+++ head/devel/gps/Makefile	Tue Jul  2 14:10:45 2013	(r322171)
@@ -2,19 +2,20 @@
 # $FreeBSD$
 
 PORTNAME=	gps
-PORTVERSION=	5.0.1
-PORTREVISION=	2
+PORTVERSION=	5.2.1
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/
+DISTNAME=	gps-5.2.1-1-src
+EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	draco@marino.st
 COMMENT=	GNAT Programming Studio - IDE for Ada and many other languages
 
-BUILD_DEPENDS=	gtkada<2.24:${PORTSDIR}/x11-toolkits/gtkada \
+BUILD_DEPENDS=	gtkada>=2.24:${PORTSDIR}/x11-toolkits/gtkada \
 		xmlada>=3.2:${PORTSDIR}/textproc/xmlada \
-		gprbuild>=20120510:${PORTSDIR}/devel/gprbuild
-RUN_DEPENDS=	gtkada<2.24:${PORTSDIR}/x11-toolkits/gtkada
-LIB_DEPENDS=	gmp.10:${PORTSDIR}/math/gmp
+		gprbuild>=20120510:${PORTSDIR}/devel/gprbuild \
+		sphinx-build:${PORTSDIR}/textproc/py-sphinx
+LIB_DEPENDS=	gmp:${PORTSDIR}/math/gmp
 
 LATEST_LINK=		gps-ide
 
@@ -23,12 +24,15 @@ USE_GMAKE=		yes
 USE_BZIP2=		yes
 USE_PERL5_BUILD=	yes
 ALL_TARGET=		default
-USES+=			ada
+USES=			ada
+WRKSRC=			${WRKDIR}/gps-release-ide-${PORTVERSION}-src
 
 CONFIGURE_ENV+=		AWK=/usr/bin/awk
+DESTINY=		${WRKDIR}/destino
+MAKE_ENV+=		DESTDIR=${DESTINY}
 
-OPTIONS_DEFINE=		SYSLOG SQLITE PGSQL PYTHON
-OPTIONS_DEFAULT=	SYSLOG
+OPTIONS_DEFINE=		SYSLOG SQLITE PGSQL PYTHON READLINE
+OPTIONS_DEFAULT=	SYSLOG SQLITE PYTHON READLINE
 
 PYTHON_DESC=		Enable Python console
 
@@ -38,16 +42,25 @@ PYTHON_DESC=		Enable Python console
 CONFIGURE_TARGET=	${ARCH:S/amd64/x86_64/}-portbld-${OPSYS:L}${OSREL}
 .endif
 
-CONFIGURE_ARGS+=	--with-gmp=${PREFIX}
+CONFIGURE_ARGS+=	--disable-shared --with-gmp=${PREFIX}
+
+################
+##  READLINE  ##
+################
+
+.if ${PORT_OPTIONS:MREADLINE}
+USES+=			readline
+CONFIGURE_ARGS+=	--enable-gpl
+.else
+CONFIGURE_ARGS+=	--disable-readline
+.endif
 
 ##############
 ##  SYSLOG  ##
 ##############
 
-.if ${PORT_OPTIONS:MSYSLOG}
-CONFIGURE_ARGS+=	--enable-syslog=yes
-.else
-CONFIGURE_ARGS+=	--enable-syslog=no
+.if !${PORT_OPTIONS:MSYSLOG}
+CONFIGURE_ARGS+=	--disable-syslog
 .endif
 
 ##############
@@ -55,9 +68,9 @@ CONFIGURE_ARGS+=	--enable-syslog=no
 ##############
 
 .if ${PORT_OPTIONS:MSQLITE}
-CONFIGURE_ARGS+=	--with-sqlite=${PREFIX}
-BUILD_DEPENDS+=		sqlite3>=3:${PORTSDIR}/databases/sqlite3
-RUN_DEPENDS+=		sqlite3>=3:${PORTSDIR}/databases/sqlite3
+CONFIGURE_ARGS+=	--with-sqlite=embedded
+.else
+CONFIGURE_ARGS+=	--without-sqlite
 .endif
 
 ##################
@@ -75,23 +88,40 @@ USE_PGSQL=		true
 
 .if ${PORT_OPTIONS:MPYTHON}
 CONFIGURE_ARGS+=	--with-python=${PREFIX}
-CONFIGURE_ARGS+=	--enable-shared-python=yes
-CONFIGURE_ARGS+=	--enable-pygtk
-PLIST_SUB+=		PYSUPPORT=""
 USE_PYTHON=		-2.7
-BUILD_DEPENDS+=		py2[67]-gtk>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
-RUN_DEPENDS+=		py2[67]-gtk>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
+USE_GNOME=		pygtk2
 PYCOMPILE=		${PREFIX}/lib/${PYTHON_VERSION}/compileall.py
 .else
-CONFIGURE_ARGS+=	--without-python
-CONFIGURE_ARGS+=	--disable-pygtk
-PLIST_SUB+=		PYSUPPORT="@comment "
+CONFIGURE_ARGS+=	--without-python \
+			--disable-pygtk \
+			--disable-pygobject
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} -e "s|@PREFIX@|${PREFIX}|g" \
+	    ${WRKSRC}/gnatlib/src/gnatcoll_readline.gpr.in
+
 pre-install:
 .if ${PORT_OPTIONS:MPYTHON}
 	${PYTHON_CMD} ${PYCOMPILE} ${WRKSRC}/share/plug-ins
 	${PYTHON_CMD} ${PYCOMPILE} ${WRKSRC}/share/library
 .endif
 
+post-install:
+	${RM} -rf ${DESTINY}${PREFIX}/share/doc/gps/html/users_guide/_sources
+	${RM} -rf ${DESTINY}${PREFIX}/share/doc/gps/html/tutorial/_sources
+	cd ${DESTINY}${PREFIX}; ${FIND} * -type d -empty -print | xargs rmdir
+	${CP} -pR ${DESTINY}${PREFIX}/ ${PREFIX}/
+	@cd ${DESTINY}${PREFIX}; ${FIND} * \( -type f -or -type l \) | \
+	   ${SORT} > ${WRKDIR}/PLIST.all
+	@cd ${DESTINY}${PREFIX}; ${FIND} * -type d | ${AWK} '/\//' | ${SORT} -r | \
+	   ${SED} -e '/share\/doc$$/d' -e '/share\/gps$$/d' \
+	   -e '/share\/gps\/plug-ins$$/d' -e '/share\/examples$$/d' \
+	   -e 's/^/@dirrm /g' >> ${WRKDIR}/PLIST.all
+	@echo "@unexec rmdir %D/share/gps/plug-ins 2>/dev/null || true" >> ${WRKDIR}/PLIST.all
+	@echo "@unexec rmdir %D/share/gps 2>/dev/null || true" >> ${WRKDIR}/PLIST.all
+	@echo "@unexec rmdir %D/share/examples 2>/dev/null || true" >> ${WRKDIR}/PLIST.all
+	@echo "@unexec rmdir %D/share/doc 2>/dev/null || true" >> ${WRKDIR}/PLIST.all
+	@${CAT} ${WRKDIR}/PLIST.all >> ${TMPPLIST}
+
 .include <bsd.port.mk>

Modified: head/devel/gps/distinfo
==============================================================================
--- head/devel/gps/distinfo	Tue Jul  2 14:06:12 2013	(r322170)
+++ head/devel/gps/distinfo	Tue Jul  2 14:10:45 2013	(r322171)
@@ -1,2 +1,2 @@
-SHA256 (gps-5.0.1.tar.bz2) = d7228e3fd915e47a4af30d72cc6bba77cd95479f1289b3b525d66aa8d94176a5
-SIZE (gps-5.0.1.tar.bz2) = 9303980
+SHA256 (gps-5.2.1-1-src.tgz) = 34775c02ccdb70bf4eef0ef6378cd947da8aa66edc9f06bc26ab14a6da549132
+SIZE (gps-5.2.1-1-src.tgz) = 27925475

Modified: head/devel/gps/files/patch-Makefile.in
==============================================================================
--- head/devel/gps/files/patch-Makefile.in	Tue Jul  2 14:06:12 2013	(r322170)
+++ head/devel/gps/files/patch-Makefile.in	Tue Jul  2 14:10:45 2013	(r322171)
@@ -1,19 +1,6 @@
---- Makefile.in.orig	2010-09-24 10:51:03.000000000 +0200
-+++ Makefile.in	2011-10-11 17:59:53.000000000 +0200
-@@ -11,10 +11,12 @@
- prefix          = @prefix@
- bindir          = $(prefix)/bin
- sharedir        = $(prefix)/share
-+docdir          = $(prefix)/share/doc/gps
- examplesdir     = $(prefix)/share/examples/gps
- 
- default:
- 	$(MAKE) -C gps $@
-+	$(AWK) -f distrib/gnat_switches.awk < gnat/gnat_ugn.texi > share/plug-ins/gnat_switches.py
- 
- clean:
- 	$(MAKE) -C gps $@
-@@ -24,12 +26,13 @@
+--- Makefile.in.orig	2012-06-08 09:54:29.000000000 +0000
++++ Makefile.in
+@@ -32,11 +32,12 @@ test-clean:
  	(cd scripts; ./testsuites clean)
  
  install-common:
@@ -22,18 +9,16 @@
 -	$(MKDIR) $(examplesdir)
 -	$(MKDIR) $(sharedir)/gps
 -	$(MKDIR) $(sharedir)/gps/docgen2
--	$(MKDIR) $(sharedir)/gps/aunit
 +	$(MKDIR) $(DESTDIR)$(bindir)
 +	$(MKDIR) $(DESTDIR)$(sharedir)
-+	$(MKDIR) $(DESTDIR)$(docdir)
 +	$(MKDIR) $(DESTDIR)$(examplesdir)
 +	$(MKDIR) $(DESTDIR)$(sharedir)/gps
 +	$(MKDIR) $(DESTDIR)$(sharedir)/gps/docgen2
-+	$(MKDIR) $(DESTDIR)$(sharedir)/gps/aunit
++	$(MKDIR) $(DESTDIR)$(sharedir)/gps/plug-ins
  ifeq ($(OS),Windows_NT)
  # On Windows we distribute two versions of subversion.xml, one that
  # supports Cygwin/Subversion and one for native Subversion.
-@@ -42,45 +45,40 @@
+@@ -49,39 +50,34 @@ ifeq ($(OS),Windows_NT)
  		share/plug-ins/_subversion_ \
  		> share/plug-ins/subversion_native_windows.xml
  endif
@@ -61,50 +46,59 @@
 -	(cd share; tar cf - library/*.py) | (cd $(sharedir)/gps; tar xf -)
 -	(cd share; tar cf - library/pygps/*.py) | (cd $(sharedir)/gps; tar xf -)
 -	$(RM) $(sharedir)/gps/plug-ins/emacs.xml
+-	$(RM) $(sharedir)/gps/plug-ins/python_doc.py
+-	$(RM) $(sharedir)/gps/plug-ins/python_doc.pyc
+-	$(RM) $(sharedir)/gps/shell_commands.xml
 -	(cd share; tar cf - icons/)  | (cd $(sharedir)/gps; tar xf -)
 -	(cd share; tar cf - templates/)  | (cd $(sharedir)/gps; tar xf -)
 -	(cd share; tar cf - *.*)  | (cd $(sharedir)/gps; tar xf -)
-+	(cd share; tar cf - plug-ins/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
-+	(cd share; tar cf - plug-ins/gps_utils/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
-+	(cd share; tar cf - plug-ins/spark/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	$(AWK) -f distrib/gnat_switches.awk < gnat/gnat_ugn.texi > $(DESTDIR)$(sharedir)/gps/plug-ins/gnat_switches.py
++	(cd share; tar cf - plug-ins/*.py) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/gps_utils/*.py) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/spark/*.py) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
 +	(cd share; tar cf - plug-ins/*.png) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
 +	(cd share; tar cf - plug-ins/images/*.png) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
 +	(cd share; tar cf - library/*.xml) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
-+	(cd share; tar cf - library/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
-+	(cd share; tar cf - library/pygps/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - library/*.py) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - library/pygps/*.py) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
 +	$(RM) $(DESTDIR)$(sharedir)/gps/plug-ins/emacs.xml
-+	(cd share; tar cf - icons/) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
-+	(cd share; tar cf - templates/) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
-+	(cd share; tar cf - *.*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	$(RM) $(DESTDIR)$(sharedir)/gps/plug-ins/python_doc.py
++	$(RM) $(DESTDIR)$(sharedir)/gps/plug-ins/python_doc.pyc
++	$(RM) $(DESTDIR)$(sharedir)/gps/shell_commands.xml
++	(cd share; tar cf - icons/)  | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - templates/)  | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - *.*)  | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
  	(cd docgen2/resources; tar cf - *.tmpl custom/*.css support/*.css support/*.js support/images/*.png) \
 -		| (cd $(sharedir)/gps/docgen2; tar xf -)
 +		| (cd $(DESTDIR)$(sharedir)/gps/docgen2; tar xf -)
- 	(cd aunit/templates; tar cf - *.tmpl) \
--		| (cd $(sharedir)/gps/aunit; tar xf -)
--	$(MAKE) -C docs install
+ 	$(MAKE) -C docs install
 -	(cd examples; tar cf - --exclude .svn . ) | (cd $(examplesdir); tar xf -)
-+		| (cd $(DESTDIR)$(sharedir)/gps/aunit; tar xf -)
-+	${INSTALL} docs/gps-splash.png $(DESTDIR)$(sharedir)/gps
-+	(cd docs; tar -cf - html/) | (cd $(DESTDIR)$(docdir); tar xf -)  
 +	(cd examples; tar cf - --exclude .svn . ) | (cd $(DESTDIR)$(examplesdir); tar xf -)
  
  install: install-common
  ifeq ($(OS),Windows_NT)
- 	$(INSTALL_PROGRAM) gps/obj/gps.exe $(bindir)
+@@ -90,9 +86,9 @@ ifeq ($(OS),Windows_NT)
+ 	$(INSTALL_PROGRAM) spark/obj/gnatspark.exe $(bindir)
  	$(MAKE) -C common/expect install
  else
 -	$(INSTALL_PROGRAM) gps/obj/gps $(bindir)
+-	$(INSTALL_PROGRAM) gnatlib/src/obj/gnatinspect $(bindir)
+-	$(INSTALL_PROGRAM) spark/obj/gnatspark $(bindir)
 +	$(INSTALL_PROGRAM) gps/obj/gps $(DESTDIR)$(bindir)
++	$(INSTALL_PROGRAM) gnatlib/src/obj/gnatinspect $(DESTDIR)$(bindir)
++	$(INSTALL_PROGRAM) spark/obj/gnatspark $(DESTDIR)$(bindir)
  endif
  
  install-strip: install-common
-@@ -89,8 +87,8 @@
+@@ -102,9 +98,9 @@ ifeq ($(OS),Windows_NT)
  	$(INSTALL_PROGRAM) distrib/gps_run.cmd $(bindir)
  	$(MAKE) -C common/expect install-strip
  else
 -	$(INSTALL_PROGRAM) -s gps/obj/gps $(bindir)/gps_exe
+-	$(INSTALL_PROGRAM) -s spark/obj/gnatspark $(bindir)
 -	$(INSTALL_PROGRAM) distrib/.gps_wrapper $(bindir)/gps
 +	$(INSTALL_PROGRAM) -s gps/obj/gps $(DESTDIR)$(bindir)/gps_exe
++	$(INSTALL_PROGRAM) -s spark/obj/gnatspark $(DESTDIR)$(bindir)
 +	$(INSTALL_PROGRAM) distrib/.gps_wrapper $(DESTDIR)$(bindir)/gps
  endif
  

Added: head/devel/gps/files/patch-common_tty_terminals.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gps/files/patch-common_tty_terminals.c	Tue Jul  2 14:10:45 2013	(r322171)
@@ -0,0 +1,12 @@
+--- common/tty/terminals.c.orig	2011-09-21 06:29:53.000000000 +0000
++++ common/tty/terminals.c
+@@ -236,7 +236,9 @@ allocate_pty_desc (pty_desc **desc) {
+ #ifndef NLDLY
+ #define NLDLY 0
+ #define CRDLY 0
++#ifndef TABDLY
+ #define TABDLY 0
++#endif
+ #define BSDLY 0
+ #define VTDLY 0
+ #define FFDLY 0

Added: head/devel/gps/files/patch-docs_Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gps/files/patch-docs_Makefile.in	Tue Jul  2 14:10:45 2013	(r322171)
@@ -0,0 +1,49 @@
+--- docs/Makefile.in.orig	2012-05-31 13:21:06.000000000 +0000
++++ docs/Makefile.in
+@@ -15,29 +15,29 @@ gps_pg:
+ 	make -C programers_guide html
+ 
+ ug:
+-	make -C users_guide html latexpdf
++	make -C users_guide html 
+ 
+ .PHONY: tutorial
+ tutorial:
+ 	make -C tutorial html
+ 
+ install:
+-	$(MKDIR) $(docdir)
+-	$(MKDIR) $(docdir)/html
+-	$(MKDIR) $(docdir)/pdf
+-	-$(INSTALL_DATA) gps-welcome.html $(docdir)/html
+-	-$(CP) users_guide/GPS.py $(sharedir)/library/GPS_doc.py
+-
+-	${MKDIR} $(docdir)/html/users_guide/
+-	-${CP} -r users_guide/_build/html/* $(docdir)/html/users_guide/
+-	-${CP} users_guide/_build/latex/GPS.pdf $(docdir)/pdf/gps.pdf
+-
+-	${MKDIR} $(docdir)/html/tutorial/
+-	-${CP} -r tutorial/_build/html/* $(docdir)/html/tutorial/
+-
+-	-$(INSTALL_DATA) gps-splash.png $(sharedir)
+-	-${INSTALL_DATA} gps_index.xml ${docdir}/html
+-	-${INSTALL_DATA} help_index.html ${docdir}/html
++	$(MKDIR) $(DESTDIR)$(docdir)
++	$(MKDIR) $(DESTDIR)$(docdir)/html
++	$(MKDIR) $(DESTDIR)$(docdir)/pdf
++	-$(INSTALL_DATA) gps-welcome.html $(DESTDIR)$(docdir)/html
++	-$(CP) users_guide/GPS.py $(DESTDIR)$(sharedir)/library/GPS_doc.py
++
++	${MKDIR} $(DESTDIR)$(docdir)/html/users_guide/
++	-${CP} -r users_guide/_build/html/* $(DESTDIR)$(docdir)/html/users_guide/
++	-${CP} users_guide/_build/latex/GPS.pdf $(DESTDIR)$(docdir)/pdf/gps.pdf
++
++	${MKDIR} $(DESTDIR)$(docdir)/html/tutorial/
++	-${CP} -r tutorial/_build/html/* $(DESTDIR)$(docdir)/html/tutorial/
++
++	-$(INSTALL_DATA) gps-splash.png $(DESTDIR)$(sharedir)
++	-${INSTALL_DATA} gps_index.xml $(DESTDIR)${docdir}/html
++	-${INSTALL_DATA} help_index.html $(DESTDIR)${docdir}/html
+ 
+ clean:
+ 	-${RM} -rf */_build/

Modified: head/devel/gps/files/patch-gnatlib_aclocal.m4
==============================================================================
--- head/devel/gps/files/patch-gnatlib_aclocal.m4	Tue Jul  2 14:06:12 2013	(r322170)
+++ head/devel/gps/files/patch-gnatlib_aclocal.m4	Tue Jul  2 14:10:45 2013	(r322171)
@@ -1,31 +1,11 @@
---- gnatlib/aclocal.m4.orig	2010-07-19 10:57:13.000000000 +0200
-+++ gnatlib/aclocal.m4	2011-10-11 03:05:28.000000000 +0200
-@@ -452,6 +452,18 @@
-           *-darwin* )
-              PYTHON_LIBS="-ldl -lm ${PYTHON_LIBS}"
-              ;;
-+          *-freebsd* )
-+             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
-+             ;;
-+          *-dragonfly* )
-+             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
-+             ;;
-+          *-netbsd* )
-+             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
-+             ;;
-+          *-openbsd* )
-+             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
-+             ;;
-           x86_64-*-* )
-              PYTHON_LIBS="-Wl,-export-dynamic -lm -ldl ${PYTHON_LIBS}"
-              ;;
-@@ -460,9 +472,6 @@
-              ;;
-           i[[3456]]86-*win32* | i[[3456]]86-*mingw32* | i[[3456]]86-*cygwin* )
-              ;;
--          *-freebsd* )
--             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
--             ;;
-       esac
- 
-       if test -f ${PYTHON_DIR}/libpython${PYTHON_VERSION}.a ; then
+--- gnatlib/aclocal.m4.orig	2012-09-13 12:50:01.000000000 +0000
++++ gnatlib/aclocal.m4
+@@ -643,7 +643,7 @@ AC_HELP_STRING(
+             ia64-*hp-hpux11* )
+                PYTHON_LIBS="-ldld -ldl -lm -Wl,-E ${PYTHON_LIBS}"
+                ;;
+-            *-freebsd* )
++            *-dragonfly* | *-freebsd* | *-netbsd* | *-openbsd* )
+                PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
+                ;;
+          esac

Modified: head/devel/gps/files/patch-gnatlib_configure
==============================================================================
--- head/devel/gps/files/patch-gnatlib_configure	Tue Jul  2 14:06:12 2013	(r322170)
+++ head/devel/gps/files/patch-gnatlib_configure	Tue Jul  2 14:10:45 2013	(r322171)
@@ -1,22 +1,11 @@
---- gnatlib/configure.orig	2010-10-14 12:02:43.000000000 +0200
-+++ gnatlib/configure	2011-10-11 03:07:02.000000000 +0200
-@@ -3501,6 +3501,9 @@
-           *-darwin* )
-              PYTHON_LIBS="-ldl -lm ${PYTHON_LIBS}"
-              ;;
-+          *-freebsd* | *-dragonfly* | *-netbsd* | *-openbsd* )
-+             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
-+             ;;
-           x86_64-*-* )
-              PYTHON_LIBS="-Wl,-export-dynamic -lm -ldl ${PYTHON_LIBS}"
-              ;;
-@@ -3509,9 +3512,6 @@
-              ;;
-           i[3456]86-*win32* | i[3456]86-*mingw32* | i[3456]86-*cygwin* )
-              ;;
--          *-freebsd* )
--             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
--             ;;
-       esac
- 
-       if test -f ${PYTHON_DIR}/libpython${PYTHON_VERSION}.a ; then
+--- gnatlib/configure.orig	2012-09-13 12:50:01.000000000 +0000
++++ gnatlib/configure
+@@ -4083,7 +4083,7 @@ $as_echo_n "checking if we can link with
+             ia64-*hp-hpux11* )
+                PYTHON_LIBS="-ldld -ldl -lm -Wl,-E ${PYTHON_LIBS}"
+                ;;
+-            *-freebsd* )
++            *-dragonfly* | *-freebsd* | *-netbsd* | *-openbsd* )
+                PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
+                ;;
+          esac

Added: head/devel/gps/files/patch-gnatlib_src_gnatcoll__readline.gpr.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gps/files/patch-gnatlib_src_gnatcoll__readline.gpr.in	Tue Jul  2 14:10:45 2013	(r322171)
@@ -0,0 +1,21 @@
+--- gnatlib/src/gnatcoll_readline.gpr.in.orig	2012-07-13 14:11:00.000000000 +0000
++++ gnatlib/src/gnatcoll_readline.gpr.in
+@@ -6,7 +6,7 @@ project GnatColl_Readline is
+       when "yes" =>
+          for Languages use ("Ada");
+          for Source_Dirs use ("readline", "readline/with_readline");
+-         for Library_Options use ("-lreadline");
++         for Library_Options use ("-L@PREFIX@/lib", "-lreadline");
+       when "no" =>
+          for Source_Dirs use ("readline", "readline/no_readline");
+    end case;
+@@ -26,7 +26,8 @@ project GnatColl_Readline is
+    package Linker is
+       --  When linking an executable
+       case Gnatcoll_Shared.Readline is
+-         when "yes" => for Linker_Options use ("-lreadline");
++         when "yes" => for Linker_Options use ("-L@PREFIX@/lib",
++            "-lreadline");
+          when "no"  => null;
+       end case;
+    end Linker;

Modified: head/devel/gps/pkg-descr
==============================================================================
--- head/devel/gps/pkg-descr	Tue Jul  2 14:06:12 2013	(r322170)
+++ head/devel/gps/pkg-descr	Tue Jul  2 14:10:45 2013	(r322171)
@@ -17,4 +17,4 @@ Features                          Tools
                                     * Project Explorer
                                     * Project Wizard
 
-WWW: http://www.adacore.com/home/products/gnatpro/toolsuite/gps/
+WWW: http://www.adacore.com/gnatpro/toolsuite/gps/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 William Grzybowski freebsd_committer 2013-07-02 15:11:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!